<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\Anmeldung\KursUebersicht\Detailsreiter\KursDetails;


class KursDetailsUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\KursDetails\KursDetailsUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_ANMELDUNGBUCHEN_TN;
  }

  public static function getToolSectionId()
  {
    return 95;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess(337)) {
      return false;
    }
    if (!$this->isRechtAllowed('337.1.1')) {
      return false;
    }

    return true;
  }

  public function getKurs($knr)
  {
    $kurs = parent::getKurs($this->request->knr);

    return $this->aktualisiereKursPerDmz($kurs);
  }

  private function aktualisiereKursPerDmz($pKurs)
  {
    $isDmzBetrieb = \SessionOperations::isDmzBetrieb();
    $isSettingOk = $this->toolSettings->kursePerDmzAktualisieren;
    if ($isDmzBetrieb && $isSettingOk) {
      try {
        $pKurs = \AnmeldeAPI::updateKursData($pKurs);
      } catch (\Exception $e) {
        
      }
    }

    return $pKurs;
  }
}